## qubes-desktop-linux-manager 4.1.8

=== debian/changelog ===
qubes-desktop-linux-manager (4.1.8-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 30 May 2021 04:07:32 +0200

qubes-desktop-linux-manager (4.1.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: add pylint job
  * Rename 'notify' to 'send_notify' to not clobber GTK method

  [ Marta Marczykowska-Górecka ]
  * Added scrollbars to qubes-update-gui
  * Improve outdatedness detection in qui-domains

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ 3hhh ]
  * domains: Handle removal of VM during on_shutdown.
  * Make pylint happy

  [ herypt ]
  * Add updater to XFCE settings manager

  [ Marek Marczykowski-Górecki ]
  * rpm: build for vm too
  * Fix installing locales
  * Move custom install steps into Makefile
  * Add Debian packaging
  * rpm: make dependencies CentOS friendly
  * rpm: skip qubes-mgmt-salt-dom0-update dependency in VM
  * Start widgets only in dom0 and guivm

  [ Marta Marczykowska-Górecka ]
  * Added VM restart to qui-domains

  [ Marek Marczykowski-Górecki ]
  * restart: Use coroutine to call qvm-start, report errors

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 30 May 2021 04:07:32 +0200

qubes-desktop-linux-manager (4.1.7-1) unstable; urgency=low

  * Initial release 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 20 May 2021 13:42:34 +0200

## qubes-desktop-linux-manager 4.1.9

=== debian/changelog ===
qubes-desktop-linux-manager (4.1.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 10 Jul 2021 04:53:35 +0200

qubes-desktop-linux-manager (4.1.9-1) unstable; urgency=medium

  * Use 'Qube' term in notifications, instead of 'Domain'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 04:53:35 +0200

## qubes-desktop-linux-manager 4.1.11

=== Makefile ===
default: help

help:
	@echo "Use setup.py to build"
	@echo "Extra make targets available:"
	@echo " install-autostart - install autostart files (xdg, systemd)"
	@echo " install-icons - install icons"
	@echo " install - calls both of the above (but calling setup.py is still necessary)"

install-icons:
	mkdir -p $(DESTDIR)/usr/share/icons/Adwaita/22x22/devices/
	mkdir -p $(DESTDIR)/usr/share/icons/Adwaita/22x22/status/
	cp icons/22x22/generic-usb.png $(DESTDIR)/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
	cp icons/outdated.png $(DESTDIR)/usr/share/icons/Adwaita/22x22/status/
	mkdir -p $(DESTDIR)/usr/share/applications
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/16x16/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/24x24/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/32x32/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/72x72/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/96x96/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/
	cp icons/16x16/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/16x16/apps/qui-domains.png
	cp icons/24x24/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/24x24/apps/qui-domains.png
	cp icons/32x32/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/32x32/apps/qui-domains.png
	cp icons/40x40/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/qui-domains.png
	cp icons/48x48/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/qui-domains.png
	cp icons/72x72/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/72x72/apps/qui-domains.png
	cp icons/96x96/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/96x96/apps/qui-domains.png
	cp icons/128x128/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/qui-domains.png

install-autostart:
	mkdir -p $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-domains.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-devices.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-clipboard.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-disk-space.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-updates.desktop $(DESTDIR)/etc/xdg/autostart
	mkdir -p $(DESTDIR)/usr/share/applications
	cp qubes-update-gui.desktop $(DESTDIR)/usr/share/applications/
	mkdir -p $(DESTDIR)/usr/bin
	cp qui/widget-wrapper $(DESTDIR)/usr/bin/widget-wrapper
	mkdir -p $(DESTDIR)/lib/systemd/user/
	cp linux-systemd/qubes-widget@.service $(DESTDIR)/lib/systemd/user/

install: install-autostart install-icons

.PHONY: clean
clean:

=== ci/requirements.txt ===
# WARNING: those requirements are used only for travis-ci.org
# they SHOULD NOT be used under normal conditions; use system package manager
docutils
pylint
pyinotify
gbulb

## qubes-desktop-linux-manager 4.1.10

=== debian/changelog ===
qubes-desktop-linux-manager (4.1.10-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 01 Nov 2021 10:59:49 +0100

qubes-desktop-linux-manager (4.1.10-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: add BR python3-setuptools

  [ Andrew David Wong ]
  * Improve language

  [ Marek Marczykowski-Górecki ]
  * Update update_translations.sh script
  * Update locale po files.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 01 Nov 2021 10:59:49 +0100

=== debian/control ===
Source: qubes-desktop-linux-manager
Section: admin
Priority: optional
Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-gbulb,
 python3-setuptools,
 python3-systemd,
Standards-Version: 3.9.5
Homepage: https://www.qubes-os.org/
#Vcs-Git: git://github.com/QubesOS/qubes-core-admin-client.git
#Vcs-Browser: https://github.com/QubesOS/qubes-core-admin-client
X-Python3-Version: >= 3.5

Package: qubes-desktop-linux-manager
Architecture: any
Depends:
 python3-qui,
 ${misc:Depends}
Description: Qubes UI Applications
 A collection of GUI application for enhancing the Qubes UX.

Package: python3-qui
Architecture: any
Depends:
 python3-qubesadmin,
 python3-gi,
 ${python3:Depends},
 ${misc:Depends}
Description: Qubes UI Applications
 A collection of GUI application for enhancing the Qubes UX.

## qubes-desktop-linux-manager 4.1.11

=== debian/changelog ===
qubes-desktop-linux-manager (4.1.11-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 10 Dec 2021 02:42:13 +0100

qubes-desktop-linux-manager (4.1.11-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Make message about cancelling updates more understandable

  [ Marek Marczykowski-Górecki ]
  * Factor out appviewer lock to context manager
  * Guard reading clipboard source name with a lock

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Dec 2021 02:42:13 +0100

## qubes-desktop-linux-manager 4.1.12

=== debian/changelog ===
qubes-desktop-linux-manager (4.1.12-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 19 Feb 2022 04:12:15 +0100

qubes-desktop-linux-manager (4.1.12-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Fix typo: widet -> widget
  * Add missing dependency of the clipboard widget

  [ AmCrNi ]
  * Update disk_space.py
  * Update disk_space.py

  [ Marek Marczykowski-Górecki ]
  * Fix trailing space
  * Missing "fixes" tag

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 19 Feb 2022 04:12:15 +0100

## qubes-desktop-linux-manager 4.1.13

=== debian/changelog ===
qubes-desktop-linux-manager (4.1.13-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 03 Apr 2022 05:59:28 +0200

qubes-desktop-linux-manager (4.1.13-1) unstable; urgency=medium

  [ Rusty Bird ]
  * domains: hide Restart action for auto_cleanup DispVM
  * domains: hide Run Terminal action in paused submenu
  * domains: don't put routine actions next to dangerous actions

  [ unman ]
  * Dont error on os.makedirs if the directory already exists

  [ Marek Marczykowski-Górecki ]
  * Ignore pylint's consider-using-with
  * Refresh domains states when events connection is established

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Apr 2022 05:59:28 +0200

## qubes-desktop-linux-manager 4.1.14

=== debian/changelog ===
qubes-desktop-linux-manager (4.1.14-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 12 May 2022 00:49:38 +0200

qubes-desktop-linux-manager (4.1.14-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Adjust for updated pylint

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ noskb ]
  * clipboard: Close fd properly

  [ Frédéric Pierret (fepitre) ]
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 12 May 2022 00:49:38 +0200

## qubes-desktop-linux-manager 4.1.15

=== debian/changelog ===
qubes-desktop-linux-manager (4.1.15-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 18 Oct 2022 23:51:45 +0200

qubes-desktop-linux-manager (4.1.15-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix set being changed during iteration
  * Fix pylint's complaints

  [ dominoomni ]
  * update updater.py with details_label checkbox v4.1
  * update updater.glide with details_label chkbx v4.1
  * update updater.glade details_label mnemonics v4.1

  [ Marta Marczykowska-Górecka ]
  * Make Qubes Update tool panes resizable

  [ Ilka Schulz ]
  * GUI: bump Glade version to "3.38.1"
  * GUI: use mnemonics

  [ Marta Marczykowska-Górecka ]
  * Fix inconsistent behavior on checkbox/row click
  * Deal with missing icons in a more flexible way
  * Handle variable copy/paste shortcut in Clipboard Widget
  * Remove boilerplate run code

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 Oct 2022 23:51:45 +0200

## qubes-desktop-linux-manager 4.2.0

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.0-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 08 Dec 2022 23:35:50 +0100

qubes-desktop-linux-manager (4.2.0-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * New Config Tool and new New Qube tool
  * Add gitlab CI integration
  * Show errors on loading policy rules
  * Add 'copy system info to global clipboard' button
  * Use --get-default-whitelist qubes-appmenus option for Create New
    Qube
  * Improve AdminVM approach: remove dom0 from most policy configs
  * Refactor ExceptionsList to a separate files
  * Change Open File/URL policy to more reasonable version
  * Improve error handling in policy config
  * Refactor raw policy handler as a separate handler
  * Remove a superfluous variable
  * Improve formatting
  * Fix updating initial value in text dropdowns
  * Add detecting changes in raw policy text

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 08 Dec 2022 23:35:50 +0100

## qubes-desktop-linux-manager 4.2.1

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.1-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 17 Dec 2022 12:19:53 +0100

qubes-desktop-linux-manager (4.2.1-1) unstable; urgency=medium

  * Do not require qubes-mgmt-salt-dom0-update directly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 17 Dec 2022 12:19:53 +0100

## qubes-desktop-linux-manager 4.2.2

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.2-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 20 Jan 2023 04:25:12 +0100

qubes-desktop-linux-manager (4.2.2-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Compatibility/security report
  * Fix usage of format/f-strings for gettext
  * Cope gracefully with errors of qvm-appmenus
  * Perform all VM operations as threads in qui-domains

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 20 Jan 2023 04:25:12 +0100

## qubes-desktop-linux-manager 4.2.4

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,27 @@
 	cp icons/72x72/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/72x72/apps/qui-domains.png
 	cp icons/96x96/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/96x96/apps/qui-domains.png
 	cp icons/128x128/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/qui-domains.png
+	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
+	cp icons/scalable/config-program-icon.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-global-config.svg
+	cp icons/scalable/delete_icon.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-delete.svg
+	cp icons/scalable/new-qube-program-icon.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-new-qube.svg
+	cp icons/scalable/ok_icon.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-ok.svg
+	cp icons/scalable/padlock_icon.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-padlock.svg
+	cp icons/scalable/qubes-info.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-info.svg
+	cp icons/scalable/qubes-key.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-key.svg
+	cp icons/scalable/qubes_ask.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-ask.svg
+	cp icons/scalable/qubes_customize.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-customize.svg
+	cp icons/scalable/qubes_expander_hidden-black.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-black.svg
+	cp icons/scalable/qubes_expander_hidden-white.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-white.svg
+	cp icons/scalable/qubes_expander_shown-black.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-black.svg
+	cp icons/scalable/qubes_expander_shown-white.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-white.svg
+	cp icons/scalable/qubes_logo.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-logo.svg
+	cp icons/scalable/question_icon.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-question.svg
+	cp icons/scalable/question_icon_light.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-question-light.svg
+	cp icons/scalable/this-device-icon.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-this-device.svg
+	cp icons/scalable/check_no.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/check_no.svg
+	cp icons/scalable/check_yes.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/check_yes.svg
+	cp icons/scalable/check_maybe.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/check_maybe.svg
 
 install-autostart:
 	mkdir -p $(DESTDIR)/etc/xdg/autostart
@@ -38,11 +59,13 @@
 	cp autostart/qui-disk-space.desktop $(DESTDIR)/etc/xdg/autostart
 	cp autostart/qui-updates.desktop $(DESTDIR)/etc/xdg/autostart
 	mkdir -p $(DESTDIR)/usr/share/applications
-	cp qubes-update-gui.desktop $(DESTDIR)/usr/share/applications/
+	cp desktop/qubes-update-gui.desktop $(DESTDIR)/usr/share/applications/
 	mkdir -p $(DESTDIR)/usr/bin
 	cp qui/widget-wrapper $(DESTDIR)/usr/bin/widget-wrapper
 	mkdir -p $(DESTDIR)/lib/systemd/user/
 	cp linux-systemd/qubes-widget@.service $(DESTDIR)/lib/systemd/user/
+	cp desktop/qubes-global-config.desktop $(DESTDIR)/usr/share/applications/
+	cp desktop/qubes-new-qube.desktop $(DESTDIR)/usr/share/applications/
 
 install: install-autostart install-icons

=== ci/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,6 @@
 pylint
 pyinotify
 gbulb
+types-setuptools
+codecov
+pytest

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.4-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 18 Feb 2023 02:55:46 +0100

qubes-desktop-linux-manager (4.2.4-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix policies for Input Devices
  * pylint update
  * More tests for input devices config
  * Avoid changing dictionary we're iterating over

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Feb 2023 02:55:46 +0100

qubes-desktop-linux-manager (4.2.3-1) unstable; urgency=medium

  * Use xhost instead of xdpyinfo for checking if X server is alive

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Feb 2023 06:38:21 +0100

## qubes-desktop-linux-manager 4.2.5

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	cp icons/scalable/check_no.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/check_no.svg
 	cp icons/scalable/check_yes.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/check_yes.svg
 	cp icons/scalable/check_maybe.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/check_maybe.svg
+	cp icons/scalable/qubes_policy_editor.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-policy-editor.svg
 
 install-autostart:
 	mkdir -p $(DESTDIR)/etc/xdg/autostart
@@ -66,8 +67,13 @@
 	cp linux-systemd/qubes-widget@.service $(DESTDIR)/lib/systemd/user/
 	cp desktop/qubes-global-config.desktop $(DESTDIR)/usr/share/applications/
 	cp desktop/qubes-new-qube.desktop $(DESTDIR)/usr/share/applications/
+	cp desktop/qubes-policy-editor.desktop $(DESTDIR)/usr/share/applications/
 
-install: install-autostart install-icons
+install-lang:
+	mkdir -p $(DESTDIR)/usr/share/gtksourceview-4/language-specs/
+	cp qubes_config/policy_editor/qubes-rpc.lang $(DESTDIR)/usr/share/gtksourceview-4/language-specs/
+
+install: install-autostart install-icons install-lang
 
 .PHONY: clean
 clean:

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.5-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 02 Mar 2023 15:46:07 +0100

qubes-desktop-linux-manager (4.2.5-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Improve sizing and fix window size
  * Implement policy editor
  * Pylint update
  * Add include/ dir to policy editor
  * Add Policy editor to menu
  * Add icon + code review fixes for policy editor
  * Add readme to policy editor
  * Improve service highlighting and fix error msg
  * Fix asking for new file name in policy editor

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Mar 2023 15:46:07 +0100

## qubes-desktop-linux-manager 4.2.6

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.6-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 27 Apr 2023 17:35:08 +0200

qubes-desktop-linux-manager (4.2.6-1) unstable; urgency=medium

  [ Piotr Bartman ]
  * qubes-vm-update: draft
  * qubes-vm-update: parallel
  * qubes-vm-update: use features to choose vms
  * qubes-vm-update: style
  * qubes-vm-update: change never to unknown
  * qubes-vm-update: move common styles to qui/styles
  * qubes-vm-update: pylint & minor fixes
  * qubes-vm-update: more descriptive name for gradient colors
  * qubes-vm-update: idle buffer update
  * qubes-vm-update: define vm label colors in qubes-colors-*.css
  * qubes-vm-update: fix test_progress_page.py
  * qubes-vm-update: add type hints and move load_css to new style.py
  * qubes-vm-update: refactor
  * qubes-vm-update: parallel reading
  * qubes-vm-update: gracefully cancel
  * qubes-vm-update: @marmarta comments
  * qubes-vm-update: controlled shutdown
  * fix style paths
  * qubes-vm-update: pylint
  * qubes-vm-update: @marmarta comments
  * qubes-vm-update: add test for modified vms
  * qubes-vm-update: fix dialog css & parallel issues

  [ Marta Marczykowska-Górecka ]
  * Modify submenu for internal qubes in qui-domains

  [ Piotr Bartman ]
  * qubes-vm-update: restart dialog
  * qubes-vm-update: updater settings tests
  * qubes-vm-update: clicking restart sys-vms shows exception flowbox
  * qubes-vm-update: fix mocking after changing name of method + remove
    unused imports
  * qubes-vm-update: import order
  * qubes-vm-update: include all derived vms in restarting

  [ Marta Marczykowska-Górecka ]
  * Fix keyboard nav on the Updates page
  * Fix scrolling to currently-focused widget in Global Config
  * Fix discard changes on page switch in Global Config
  * Fix uncaught exception in Global Config

  [ Marek Marczykowski-Górecki ]
  * Bump required python-qubesadmin version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Apr 2023 17:35:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = qui

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	make install DESTDIR=debian/qubes-desktop-linux-manager
	mv debian/python3-qui/usr/bin/* debian/qubes-desktop-linux-manager/usr/bin/

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	make clean

## qubes-desktop-linux-manager 4.2.7

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.7-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 29 May 2023 19:15:57 +0200

qubes-desktop-linux-manager (4.2.7-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: drop R4.1

  [ Andrew David Wong ]
  * Improve language
  * Improve language
  * Improve language
  * Remove links from tooltips
  * Add IDs for new links
  * Remove IDs without links; sort by order of appearance
  * Replace unofficial links; improve language
  * Remove sentence about opening link in disposable

  [ Marek Marczykowski-Górecki ]
  * Update codecov-wrapper
  * ci: include the signing key for codecov

  [ Piotr Bartman ]
  * qubes-vm-update: fix cancellation

  [ Marta Marczykowska-Górecka ]
  * More resilient qui-disk-space widget

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 May 2023 19:15:57 +0200

## qubes-desktop-linux-manager 4.2.8

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.8-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 02 Jun 2023 00:52:50 +0200

qubes-desktop-linux-manager (4.2.8-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix USB device handling in Global Config
  * Lazy-load available applications in new qube

  [ Piotr Bartman ]
  * qubes-vm-update: logging
  * qubes-vm-update: add update interruption tests

  [ Marek Marczykowski-Górecki ]
  * Get certification status from the YAML data

  [ Marta Marczykowska-Górecka ]
  * Fix apply in Updates tab in Global Config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 02 Jun 2023 00:52:50 +0200

## qubes-desktop-linux-manager 4.2.9

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.9-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 02 Jul 2023 03:48:51 +0200

qubes-desktop-linux-manager (4.2.9-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix button text color in global config
  * Fix global-config to accept a system with only dom0
  * Global config: if policy files do not exist, do not create them
  * Fix what property is actually set for default_dispvm

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 02 Jul 2023 03:48:51 +0200

## qubes-desktop-linux-manager 4.2.11

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.11-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 16 Jul 2023 04:55:59 +0200

qubes-desktop-linux-manager (4.2.11-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Add Win+C/+V as copy/paste shortcuts
  * improve error reporting in updates section of config
  * Fix missing closign bracket in disk widget

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Jul 2023 04:55:59 +0200

qubes-desktop-linux-manager (4.2.10-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Add missing gnome-icon-theme dependency

  [ Marta Marczykowska-Górecka ]
  * Use qrexec.client.call instead of reimplementing it
  * Add caching to qubes-global-config
  * Move USB conflicting file info box to correct place

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 07 Jul 2023 03:29:12 +0200

## qubes-desktop-linux-manager 4.2.12

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.12-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 20 Aug 2023 04:09:24 +0200

qubes-desktop-linux-manager (4.2.12-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Make sure all qubes are shown in domains widget

  [ Marek Marczykowski-Górecki ]
  * Rename qrexec-policy-editor to qrexec-policy-editor-gui

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Aug 2023 04:09:24 +0200

## qubes-desktop-linux-manager 4.2.13

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.13-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 15 Sep 2023 02:00:01 +0200

qubes-desktop-linux-manager (4.2.13-1) unstable; urgency=medium

  [ Piotr Bartman ]
  * qubes-vm-update: add CLI options
  * qubes-vm-update: updates standalones too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Sep 2023 02:00:01 +0200

## qubes-desktop-linux-manager 4.2.14

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.14-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 10 Oct 2023 00:35:59 +0200

qubes-desktop-linux-manager (4.2.14-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * More strictly check against unexpected arguments in policy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Oct 2023 00:35:59 +0200

## qubes-desktop-linux-manager 4.2.15

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.15-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 13 Oct 2023 01:28:15 +0200

qubes-desktop-linux-manager (4.2.15-1) unstable; urgency=medium

  * updater: always show main window, even if no updates are available

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Oct 2023 01:28:15 +0200

## qubes-desktop-linux-manager 4.2.16

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.16-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 22 Nov 2023 15:07:49 +0100

qubes-desktop-linux-manager (4.2.16-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Warn about EOL templates in updates notification
  * Add info about obsolete templates to qubes-updater-gui
  * Remove -minimal and -xfce suffixes from template names

  [ Marek Marczykowski-Górecki ]
  * update-gui: Remove checkbox for restarting VMs on the main page

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 22 Nov 2023 15:07:49 +0100

## qubes-desktop-linux-manager 4.2.17

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.17-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sun, 03 Dec 2023 03:17:28 +0100

qubes-desktop-linux-manager (4.2.17-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Avoid crashing domains widget if there are icon problems

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Dec 2023 03:17:28 +0100

## qubes-desktop-linux-manager 4.2.18

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.18-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 19 Feb 2024 03:51:28 +0100

qubes-desktop-linux-manager (4.2.18-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix minor visual bugs in global config
  * Fix undo/redo in policy manager
  * Fix broken dom0 updates repo logic in global config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 19 Feb 2024 03:51:28 +0100

## qubes-desktop-linux-manager 4.2.19

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.19-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 13 Apr 2024 22:03:37 +0200

qubes-desktop-linux-manager (4.2.19-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Improve "needs updateproxy" logic in global config
  * mypy pacification
  * Fix incorrect menu icon for policy editor
  * Improved qui-devices widget
  * Remove old devices widget
  * Use sequoia instead of gnu-gpg, wrap auto-cleanup in getattr
  * Unify style between attach to qube/to disposable qube
  * Fix listing changed devices

  [ Piotr Bartman ]
  * qubes-vm-update: fix updater settings

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 Apr 2024 22:03:37 +0200

## qubes-desktop-linux-manager 4.2.20

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.20-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sun, 14 Apr 2024 04:40:11 +0200

qubes-desktop-linux-manager (4.2.20-1) unstable; urgency=medium

  * Bump required python3-qubesadmin version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 14 Apr 2024 04:40:11 +0200

## qubes-desktop-linux-manager 4.2.21

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.21-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 28 Apr 2024 04:20:56 +0200

qubes-desktop-linux-manager (4.2.21-1) unstable; urgency=medium

  [ Piotr Bartman ]
  * qubes-vm-update: real-time output
  * qubes-vm-update: auto-scrolling + dom0 without salt
  * make pylint happy
  * dom0 package comparison
  * dom0 fix updating
  * make output prettier

  [ Piotr Bartman-Szwarc ]
  * make printed update info more readable

  [ Marek Marczykowski-Górecki ]
  * Make pylint happy

  [ Piotr Bartman ]
  * updater: better restarting logic
  * updater: make pylint happy
  * updater: fix parsing `--update-if-stale`
  * updater: handle nothing to do
  * updater: fix showing output

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 28 Apr 2024 04:20:56 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Package: python3-qui
 Architecture: any
 Depends:
- python3-qubesadmin,
+ python3-qubesadmin (>= 4.2.3),
  python3-gi,
  ${python3:Depends},
  ${misc:Depends}

## qubes-desktop-linux-manager 4.2.22

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.22-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 14 May 2024 05:46:11 +0200

qubes-desktop-linux-manager (4.2.22-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Add missing info to devices widget

  [ Minimalist ]
  * Fix updater startup crash

  [ Marta Marczykowska-Górecka ]
  * Remove deprecated pkg_resources and replace it with
    importlib.resources

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 14 May 2024 05:46:11 +0200

## qubes-desktop-linux-manager 4.2.23

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.23-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 17 May 2024 13:24:58 +0200

qubes-desktop-linux-manager (4.2.23-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Actually run updater tests in CI
  * Use os-eol feature to determine end of life

  [ Piotr Bartman-Szwarc ]
  * updater: update test to be compliant with updater backend + update
    help

  [ Marta Marczykowska-Górecka ]
  * Fix registering signals in tests
  * Add tests to eol testing
  * Remove some superfluous returns to pacify pylint
  * Don't cancel updates on Esc

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 May 2024 13:24:58 +0200

## qubes-desktop-linux-manager 4.2.24

=== Makefile ===
default: help

help:
	@echo "Use setup.py to build"
	@echo "Extra make targets available:"
	@echo " install-autostart - install autostart files (xdg, systemd)"
	@echo " install-icons - install icons"
	@echo " install - calls both of the above (but calling setup.py is still necessary)"

install-icons:
	mkdir -p $(DESTDIR)/usr/share/icons/Adwaita/22x22/devices/
	mkdir -p $(DESTDIR)/usr/share/icons/Adwaita/22x22/status/
	cp icons/22x22/generic-usb.png $(DESTDIR)/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
	cp icons/outdated.png $(DESTDIR)/usr/share/icons/Adwaita/22x22/status/
	mkdir -p $(DESTDIR)/usr/share/applications
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/16x16/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/24x24/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/32x32/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/72x72/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/96x96/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/
	cp icons/16x16/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/16x16/apps/qui-domains.png
	cp icons/24x24/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/24x24/apps/qui-domains.png
	cp icons/32x32/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/32x32/apps/qui-domains.png
	cp icons/40x40/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/qui-domains.png
	cp icons/48x48/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/qui-domains.png
	cp icons/72x72/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/72x72/apps/qui-domains.png
	cp icons/96x96/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/96x96/apps/qui-domains.png
	cp icons/128x128/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/qui-domains.png
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
	cp icons/scalable/*.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/

install-autostart:
	mkdir -p $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-domains.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-devices.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-clipboard.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-disk-space.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-updates.desktop $(DESTDIR)/etc/xdg/autostart
	mkdir -p $(DESTDIR)/usr/share/applications
	cp desktop/qubes-update-gui.desktop $(DESTDIR)/usr/share/applications/
	mkdir -p $(DESTDIR)/usr/bin
	cp qui/widget-wrapper $(DESTDIR)/usr/bin/widget-wrapper
	mkdir -p $(DESTDIR)/lib/systemd/user/
	cp linux-systemd/qubes-widget@.service $(DESTDIR)/lib/systemd/user/
	cp desktop/qubes-global-config.desktop $(DESTDIR)/usr/share/applications/
	cp desktop/qubes-new-qube.desktop $(DESTDIR)/usr/share/applications/
	cp desktop/qubes-policy-editor-gui.desktop $(DESTDIR)/usr/share/applications/

install-lang:
	mkdir -p $(DESTDIR)/usr/share/gtksourceview-4/language-specs/
	cp qubes_config/policy_editor/qubes-rpc.lang $(DESTDIR)/usr/share/gtksourceview-4/language-specs/

install: install-autostart install-icons install-lang

.PHONY: clean
clean:

=== ci/requirements.txt ===
--- 
+++ 
@@ -5,5 +5,4 @@
 pyinotify
 gbulb
 types-setuptools
-codecov
 pytest

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.24-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 06 Jul 2024 00:09:39 +0200

qubes-desktop-linux-manager (4.2.24-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * load_theme needs package_name for loading by name

  [ Ali Mirjamali ]
  * Tray Update Notifier fix for os-eol feature change
  * Uneditable column headers in policy editor
  * Global Config app not closing if Help Window is Open
  * Monospace font for Qubes Update GUI progress details

  [ Piotr Bartman-Szwarc ]
  * updater: non-interactive updater
  * updater: unify cli options with cli updater
  * updater: return 100 if no vm was updated
  * updater: update tests
  * updater: show success dialog in non-interactive mode
  * updater: show success dialog if nothing to do
  * updater: fix selection if the intro page is skipped
  * updater: unify cli args with backend updater
  * updater: get default value of '--update-if-stale' from dom0 settings
  * updater: return 130 if user cancels updating
  * updater: make test reproducible
  * updater: set progress as 100 if update fails or was cancelled
  * updater: apply the same selection criteria to dom0
  * updater: make pylint happy
  * updater: updaate dom0 tests
  * updater: show only one confirmation to the user
  * updater: fix force updating
  * updater: make pylint happy
  * updater: test is_stale(dom0)
  * updater: test apply and update flags
  * updater: add --signal-no-updates flag
  * updater: unify retcodes with backend updater

  [ Ali Mirjamali ]
  * Remove VM from obsolete_vms list if template is deleted

  [ Marek Marczykowski-Górecki ]
  * ci: use release4.2 branch for dependencies
  * ci: install pip

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 06 Jul 2024 00:09:39 +0200

## qubes-desktop-linux-manager 4.2.25

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.25-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 11 Aug 2024 17:15:18 +0200

qubes-desktop-linux-manager (4.2.25-1) unstable; urgency=medium

  [ ooops ]
  * Devices widget: label recently-connected devices as "NEW"
  * Fixing Pylint error and initial value for connection_timestamp
  * Update actionable_widgets.py

  [ kennethrrosen ]
  * Change color and punctuation
  * Update color from blue to #99bfff
  * Change color from #99bfff to #63a0ff

  [ Ali Mirjamali ]
  * Fixing Qubes OS Update window height on small dispplays
  * Global Config GUI UI minor glade string issues

  [ Marek Marczykowski-Górecki ]
  * Fix removing VM from obsolete_vms

  [ Ali Mirjamali ]
  * Help text in policy editor is wrapped to too wide size
  * Fixing policy editor window size on 1024x168 displays
  * Updater window Icon
  * Improve Qubes OS Update reporting for dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Aug 2024 17:15:18 +0200

## qubes-desktop-linux-manager 4.2.26

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.26-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 06 Jun 2025 15:44:39 +0200

qubes-desktop-linux-manager (4.2.26-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Make consistent use of MiB & GiB in GUI/CLI tools
  * Add Ctrl+A Accelerator to GUI Updater Intro page
  * Select stale qubes for update too

  [ Marek Marczykowski-Górecki ]
  * Fix typo in showing Xen version on the "This Device" tab

  [ Ali Mirjamali ]
  * Do not allow whitespace in Policy filename
  * Unset `netvm` for TemplateVMs in Create New Qube
  * Inform users about restart of qubes after update

  [ Marta Marczykowska-Górecka ]
  * Improve colors on selected updater row

  [ Ali Mirjamali ]
  * Show progress bar after loading CSS theme

  [ Marta Marczykowska-Górecka ]
  * Fix test error
  * Don't change combobox on mouse scroll

  [ Demi Marie Obenour ]
  * updater: make UpdateListIter a proper iterator

  [ Ali Mirjamali ]
  * Mark inactive "create" button as gray
  * Make updater width enoguh for update details

  [ ooops ]
  * Clarify updater settings

  [ kennethrrosen ]
  * Update qui/updater.glade

  [ Ali Mirjamali ]
  * Maximize Updater GUI on openQA display
  * Exclude volatile DispVMs from Global Config
  * Allow user to save valid modified policy on 1st char

  [ Rusty Bird ]
  * Fix outdated status of disposables

  [ Ali Mirjamali ]
  * Add concurrent updates settings to tab-stops

  [ Marek Marczykowski-Górecki ]
  * Use glib's native asyncio integration when available
  * Workaround pylint issue

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Jun 2025 15:44:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  dh-python,
  python3-all,
- python3-gbulb,
+ python3-gi (>= 3.50.0) | python3-gbulb,
  python3-setuptools,
  python3-systemd,
 Standards-Version: 3.9.5

## qubes-desktop-linux-manager 4.2.27

=== debian/changelog ===
qubes-desktop-linux-manager (4.2.27-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 25 Jul 2025 05:27:35 +0200

qubes-desktop-linux-manager (4.2.27-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Add conspicuous EOL indicator for dom0

  [ Marta Marczykowska-Górecka ]
  * More flexible behavior for async behavior
  * Add cairo-devel dependency to CI

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 25 Jul 2025 05:27:35 +0200

## qubes-desktop-linux-manager 4.3.1

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.1-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 05 Jul 2024 17:37:25 +0200

qubes-desktop-linux-manager (4.3.1-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Global Config app not closing if Help Window is Open
  * Tray Update Notifier fix for os-eol feature change
  * Uneditable column headers in policy editor
  * Monospace font for Qubes Update GUI progress details

  [ Piotr Bartman-Szwarc ]
  * updater: non-interactive updater
  * updater: unify cli options with cli updater
  * updater: return 100 if no vm was updated
  * updater: update tests
  * updater: show success dialog in non-interactive mode
  * updater: show success dialog if nothing to do
  * updater: fix selection if the intro page is skipped
  * updater: unify cli args with backend updater
  * updater: get default value of '--update-if-stale' from dom0 settings
  * updater: return 130 if user cancels updating
  * updater: make test reproducible
  * updater: set progress as 100 if update fails or was cancelled
  * updater: apply the same selection criteria to dom0
  * updater: make pylint happy
  * updater: updaate dom0 tests
  * updater: show only one confirmation to the user
  * updater: fix force updating
  * updater: make pylint happy
  * updater: test is_stale(dom0)
  * updater: test apply and update flags
  * updater: add --signal-no-updates flag

  [ Ali Mirjamali ]
  * Remove VM from obsolete_vms list if template is deleted

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 17:37:25 +0200

qubes-desktop-linux-manager (4.3.0-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: install pip
  * load_theme needs package_name for loading by name

  [ Piotr Bartman ]
  * q-dev: implement new device api
  * q-dev: fix global config
  * q-dev: update api

  [ Piotr Bartman-Szwarc ]
  * q-dev: update tests + fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Jun 2024 15:45:33 +0200

## qubes-desktop-linux-manager 4.3.4

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.4-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 05 Nov 2024 05:00:28 +0100

qubes-desktop-linux-manager (4.3.4-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix typo in showing Xen version on the "This Device" tab

  [ Ali Mirjamali ]
  * Add Ctrl+A Accelerator to GUI Updater Intro page
  * Select stale qubes for update too
  * Do not allow whitespace in Policy filename
  * Make consistent use of MiB & GiB in GUI/CLI tools
  * Clipboard notification improvements with .metadata
  * Do not notify outdated & EOL VMs if `skip-update` set
  * Add filtering options to Qubes Update GUI
  * Move catching exception inside helper functions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Nov 2024 05:00:28 +0100

qubes-desktop-linux-manager (4.3.3-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: workaround pylint + GTK3 issue
  * Workaround pylint issue
  * Fix removing VM from obsolete_vms

  [ Ali Mirjamali ]
  * Global Config GUI UI minor glade string issues
  * Help text in policy editor is wrapped to too wide size
  * Fixing policy editor window size on 1024x168 displays
  * Fixing CSS for Updater GUI VM Name Labels
  * Making the Pylint happy for PR #197

  [ ooops ]
  * Devices widget: label recently-connected devices as "NEW"
  * Devices widget: label recently-connected devices as "NEW"
  * Fixing Pylint error and initial value for connection_timestamp
  * Update actionable_widgets.py

  [ kennethrrosen ]
  * Change color and punctuation
  * Update color from blue to #99bfff
  * Change color from #99bfff to #63a0ff

  [ Ali Mirjamali ]
  * Fixing Qubes OS Update window height on small dispplays
  * Updater window Icon
  * Improve Qubes OS Update reporting for dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 20 Jul 2024 05:24:31 +0200

qubes-desktop-linux-manager (4.3.2-1) unstable; urgency=medium

  [ Piotr Bartman-Szwarc ]
  * updater: unify retcodes with backend updater

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 19:41:26 +0200

## qubes-desktop-linux-manager 4.3.5

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.5-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 08 Nov 2024 02:09:01 +0100

qubes-desktop-linux-manager (4.3.5-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix handling domain-add event in qui-updates

  [ Marta Marczykowska-Górecka ]
  * Fix bug with backwards clipboard compatibility
  * Reformat qui/clipboard.py with black
  * Improve colors on selected updater row

  [ Ali Mirjamali ]
  * Unset `netvm` for TemplateVMs in Create New Qube
  * Inform users about restart of qubes after update

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Nov 2024 02:09:01 +0100

## qubes-desktop-linux-manager 4.3.6

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.6-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 15 Nov 2024 15:52:42 +0100

qubes-desktop-linux-manager (4.3.6-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Auto-resize new qube window to screen size
  * Add -o/--open-at option to global config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Nov 2024 15:52:42 +0100

## qubes-desktop-linux-manager 4.3.7

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.7-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 17 Nov 2024 04:29:50 +0100

qubes-desktop-linux-manager (4.3.7-1) unstable; urgency=medium

  [ Piotr Bartman-Szwarc ]
  * q-dev: implement device_id
  * q-dev: fix detaching
  * q-dev: virtual device
  * q-dev: cleanup
  * q-dev: move gui parts from core-admin
  * q-dev: fix setup.py
  * q-dev: include tools
  * q-dev: update glade path
  * q-dev: simplification of device agent
  * q-dev: cleanup
  * q-dev: remove guivm from args of attach-confirm
  * q-dev: drop dependence on qubes core
  * q-dev: make pylint happy
  * q-dev: remove literals
  * q-dev: rename attach-confirm -> qubes-device-attach-confirm
  * q-dev: add short way to create DeviceAssignment
  * q-dev: better variable naming
  * q-dev: cleanup
  * q-dev: remove qubes-device-attach-confirm

  [ Marek Marczykowski-Górecki ]
  * Adjust dependencies for new devices API
  * ci: switch to R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Nov 2024 04:29:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  dh-python,
  python3-all,
- python3-gi (>= 3.50.0) | python3-gbulb,
+ python3-gbulb,
  python3-setuptools,
  python3-systemd,
 Standards-Version: 3.9.5
@@ -26,7 +26,7 @@
 Package: python3-qui
 Architecture: any
 Depends:
- python3-qubesadmin (>= 4.2.3),
+ python3-qubesadmin (>= 4.3.7),
  python3-gi,
  ${python3:Depends},
  ${misc:Depends}
